Name:           dci-feeder-api
Version:        0.1.0
Release:        1.202306081239git8c2349d9%{?dist}
Summary:        DCI feeder API

License:        ASL 2.0
URL:            https://github.com/redhat-cip/dci-feeder-api
Source0:        dcifeeder-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
Requires:       createrepo
Requires:       python3-flask
Requires:       python3-requests
Requires:       python3-dciclient
Requires:       rsync
Requires:       yum-utils
Requires:       skopeo
Requires:       python36-beautifulsoup4
Requires:       python36-PyYAML

%description
%{summary}

%prep
%autosetup -n dcifeeder-%{version}

%build
%py3_build

%install
%py3_install
install -d %{buildroot}/%{_datarootdir}/dci-feeder-api
install -d %{buildroot}/%{_sysconfdir}/dci-feeder-api
cp wsgi.py %{buildroot}/%{_datarootdir}/dci-feeder-api/wsgi.py
mv %{buildroot}/%{python3_sitelib}/dcifeeder/local_settings.py %{buildroot}/%{_sysconfdir}/dci-feeder-api
%{__ln_s} %{_sysconfdir}/dci-feeder-api/local_settings.py %{buildroot}/%{python3_sitelib}/dcifeeder/local_settings.py


%files
%license LICENSE
%doc README.md
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/dcifeeder
%{_datarootdir}/dci-feeder-api/wsgi.py*
%config(noreplace) %{_sysconfdir}/dci-feeder-api/local_settings.py*

%changelog
* Fri Dec 09 2022 Guillaume Vincent <gvincent@redhat.com> 0.1.0-1
- Migrate to python3
* Tue Jan 26 2021 François Charlier <francois.charlier@redhat.com> 0.0.2-1
- Add Beautifulsoup4 dependency
* Mon Oct 22 2018 François Charlier <francois.charlier@redhat.com> 0.0.1-2
- Settings are now overriden in local_settings.py
* Tue Mar 06 2018 Yanis Guenane <yguenane@redhat.com> 0.0.1-1
- Initial commit
